<?php

$lzFitnessSliderSingleChoice = getFitnessPostsType('luzuk_slider');

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'lz_fitness_premium_slider_section',
	array(
		'title' => __( 'Slider Section', 'Luzuk-premium' ),
        'panel' => 'lz_fitness_premium_home_panel',
		'priority' =>18
	)
);

// show content in slider
$wp_customize->add_setting(
	'lz_fitness_premium_slider_show_content',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_premium_slider_show_content',
		array(
			'settings'      => 'lz_fitness_premium_slider_show_content',
			'section'       => 'lz_fitness_premium_slider_section',
			'label'         => __( 'Hide Title and description on slider', 'Luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk-premium' ),
				'off' => __( 'No', 'Luzuk-premium' )
			),
		)
	)
);

$wp_customize->add_setting('lz_fitness_premium_slider_section_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Info_Text( 
		$wp_customize,
		'lz_fitness_premium_slider_section_lbl',
		array(
			'settings'		=> 'lz_fitness_premium_slider_section_lbl',
			'section'		=> 'lz_fitness_premium_slider_section',
			'label'			=> __( 'Note:', 'Luzuk-premium' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu. <br/> Recommended Image Size: 995px X 363px', 'Luzuk-premium' ),
		)
	)
); 


backgroundManager($wp_customize, 'slider', 'lz_fitness_premium_slider_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

addColorPalatOption($wp_customize, 'luzuk_slider_bgColor', 'lz_fitness_premium_slider_section', 'Slider background color','#f7f6f2');

addColorPalatOption($wp_customize, 'luzuk_slider_HighlightTextColor', 'lz_fitness_premium_slider_section', 'Slider Top Text color','#fdfdfd');

addColorPalatOption($wp_customize, 'luzuk_slider_HeadingColor', 'lz_fitness_premium_slider_section', 'Slider Heading color','#fdfdfd');

addColorPalatOption($wp_customize, 'luzuk_slider_SubHeadingColor', 'lz_fitness_premium_slider_section', 'Slider Subheading color', '#fdfdfd');

addColorPalatOption($wp_customize, 'luzuk_slider_priceColor', 'lz_fitness_premium_slider_section', 'Slider Price color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_slider_ButtonbgColor', 'lz_fitness_premium_slider_section', 'Slider Button BG Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_slider_ButtonTextcolor', 'lz_fitness_premium_slider_section', 'Slider Button Text Color', '#fdfdfd');

addColorPalatOption($wp_customize, 'luzuk_slider_ButtonTexthovercolor', 'lz_fitness_premium_slider_section', 'Slider Button Text Hover  color', '#000000');

addColorPalatOption($wp_customize, 'luzuk_slider_ButtonbghoverColor', 'lz_fitness_premium_slider_section', 'Slider Button Background Hover color', '#ffffff');

//FEATURED PAGES
for( $i = 1; $i <3; $i++ ){

    $wp_customize->add_setting(
        'luzuk_sliderright_image_heading'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'luzuk_sliderright_image_heading'.$i,
            array(
                'settings'      => 'luzuk_sliderright_image_heading'.$i,
                'section'       => 'lz_fitness_premium_slider_section',
                'label'         => __( 'Slider Right Image '.$i, 'supermart-ecommerce' )
            )
        )
    );

    lzAddImageElement($wp_customize, 'sliderproduct_category_image'.$i, 'lz_fitness_premium_slider_section', $label="Recommended Image Size: 510px X 280px");

    

    lzAddElement($wp_customize, 'sliderproduct_catelauge_url_'.$i, 'lz_fitness_premium_slider_section', $type = 'text', $label="Image Link", $callback ='esc_url', $default='Add link here');

}